//#define	F_CPU	16000000L	// Assume a CPU frequency of 16Mhz
#define	SERIAL_SPEED	9600

//#include "../source/wiring_private.h"
#include "../source/panstamp.h"
#include "../source/serialcom.h"

#include <util/delay.h>

#define  RFCHANNEL 0
#define  SYNCWORD1 0xB5
#define  SYNCWORD0 0x47
#define  SOURCE_ADDR 5
#define  DESTINATION_ADDR 6
#define  LED 3



CCPACKET packettransmit;
CCPACKET packetrecu;
uint8_t sendedChar;
byte i;



/* not used for the moment
void rfPacketReceived(CCPACKET *packet)
{

uint8_t sendedChar;
 PORTD &=~(_BV(PD3));//cbi(PORTD,PD3);
    _delay_ms(1000);

//affichage packet recu port serie
    if ( (packet->length) > 1)
    {
    	for(i=1;i<(packet->length);i++)
		{
    	sendedChar =packet->data[i];
		send_serial(sendedChar);
		}
		 _delay_ms(1000);
    }

}
*/

int main()

{

bool save=true;
char chainetransmit[]="le paquet transmit panstamp 2 est:\n";
char chainerecu[]="le paquet recu panstamp 2 est:\n"; 

initpanstamp(CFREQ_868); 
setChannelCC1101(RFCHANNEL,save);
setSyncWordCC1101_n3(0xB5,0x47,save);
setDevAddressCC1101(SOURCE_ADDR,save);
setDefaultRegsCC1101();
//enableAddressCheck();
disableAddressCheck();
//setPacketRxCallback(rfPacketReceived);
setHighTxPower();


// definition de la trame
packettransmit.length=3;
packettransmit.data[0]=DESTINATION_ADDR; // adresse de desitionation
packettransmit.data[1]=0x4F; //O
packettransmit.data[2]=0x4B; //K
packettransmit.data[3]='0';


//initialisation du port serie
init_serial(SERIAL_SPEED);

	while(1)
	{
	
    _delay_ms(500);

    	//reception
	    if ( receiveDataCC1101(&packetrecu)>0)
	    {
	    	writeString(chainerecu);
  			_delay_ms(500);	
	    	
	    	for(i=1;i<(packetrecu.length);i++)
			{
	    	sendedChar =packetrecu.data[i];
			send_serial(sendedChar);
			}
			 
			 //transmission d'une confirmation 
			 sendDataCC1101(packettransmit);
			_delay_ms(200);

	 		writeString(chainetransmit);

  			//affichage du paquet à transmettre sur le port serie
			for(i=1;i<packettransmit.length;i++)
			{
	 		sendedChar =packettransmit.data[i];
			send_serial(sendedChar);
			}

	    }

	}

return 1;

}

