//#define	F_CPU	16000000L	// Assume a CPU frequency of 16Mhz
#define	SERIAL_SPEED	9600


#include "../source/panstamp.h"
#include "../source/serialcom.h"
#include <util/delay.h>

#define  RFCHANNEL 0
#define  SYNCWORD1 0xB5
#define  SYNCWORD0 0x47
#define  SOURCE_ADDR 6
#define  DESTINATION_ADDR 5
#define  LED 3

CCPACKET packettransmit;
CCPACKET packetrecu;
byte i;

int main()

{
bool save=true;
uint8_t sendedChar;
char chainetransmit[]="le paquet transmit panstamp 1 est:\n";
char chainerecu[]="le paquet recu panstamp 1 est:\n"; 

//initialisation

initpanstamp(CFREQ_868); //initCC1101(CFREQ_868);
setChannelCC1101(RFCHANNEL,save);
setSyncWordCC1101_n3(0xB5,0x47,save);
setDevAddressCC1101(SOURCE_ADDR,save);
setDefaultRegsCC1101();//setccregs modif
disableAddressCheck();
setHighTxPower();




// definition de la trame
packettransmit.length=10;
packettransmit.data[0]=DESTINATION_ADDR; // adresse de desitionation

	for(i=1;i<packettransmit.length;i++) //constitution du paquet
	{
	packettransmit.data[i]=(0x48+i); //trame de test "IJKLMNOPQ"
	}
packettransmit.data[10]='0';

//initialisation du port serie
	init_serial(SERIAL_SPEED);

	while(1)
	{ 
	
	//transmission d'un packet	
	 _delay_ms(500);
	  sendDataCC1101(packettransmit);
	_delay_ms(200);

	 writeString(chainetransmit);

  	//affichage du paquet à transmettre sur le port serie
	for(i=1;i<packettransmit.length;i++)
	{
	 sendedChar =packettransmit.data[i];
	send_serial(sendedChar);
	}
    
    //regarde si j'ai recu un paquet
     if ( receiveDataCC1101(&packetrecu)>0)
	    {
	    	writeString(chainerecu);
  			_delay_ms(500);

	    	//affichage du paquet recu sur le port serie
	    	for(i=1;i<(packetrecu.length);i++)
			{
	    	sendedChar =packetrecu.data[i];
			send_serial(sendedChar);
			}
			 _delay_ms(1000);
	    } 
	
		
    }


return 1;

}